[Pkg-javascript-commits] [backbone] 04/10: Modernize cdbs: Do copyright-check in maintainer script (not during build).

Jonas Smedegaard dr at jones.dk
Thu Aug 24 09:42:15 UTC 2017


This is an automated email from the git hooks/post-receive script.

js pushed a commit to branch master
in repository backbone.

commit 9f7c8ba71f57f7a4bbbc6d4e7d77e663879aac63
Author: Jonas Smedegaard <dr at jones.dk>
Date:   Thu Aug 24 11:24:17 2017 +0200

    Modernize cdbs: Do copyright-check in maintainer script (not during build).
---
 debian/copyright-check | 29 +++++++++++++++++++++++++++++
 debian/rules           |  4 ----
 2 files changed, 29 insertions(+), 4 deletions(-)

diff --git a/debian/copyright-check b/debian/copyright-check
new file mode 100755
index 0000000..b04dd9f
--- /dev/null
+++ b/debian/copyright-check
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Copyright © 2016-2017  Jonas Smedegaard <dr at jones.dk>
+# Description: helper script to update copyright_hints
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -eu
+
+# extract metadata from graphics files and fonts before copyright check
+# - but skip font format currently not possible to extract metadata from
+export DEB_COPYRIGHT_EXTRACT_EXTS="jpg png ttf woff"
+export DEB_COPYRIGHT_CHECK_IGNORE_EXTS="eot"
+
+make -f /usr/share/cdbs/1/rules/utils.mk pre-build || true
+make -f /usr/share/cdbs/1/rules/utils.mk clean DEB_COPYRIGHT_CHECK_STRICT=1
+
+# unconditionally merge changes - safe to do with git-tracked package
+[ ! -f debian/copyright_newhints ] || mv -f debian/copyright_newhints debian/copyright_hints
diff --git a/debian/rules b/debian/rules
index ef30603..1840b4a 100755
--- a/debian/rules
+++ b/debian/rules
@@ -16,7 +16,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 lib = $(DEB_SOURCE_PACKAGE)
@@ -47,9 +46,6 @@ CDBS_SUGGESTS_ALL = libjs-jquery-lazyload
 CDBS_BREAKS_$(pkg-node) = libjs-backbone (<< 0.5.3-3)
 CDBS_REPLACES_$(pkg-node) = libjs-backbone (<< 0.5.3-3)
 
-DEB_COPYRIGHT_EXTRACT_EXTS = jpg png ttf woff
-DEB_COPYRIGHT_CHECK_IGNORE_EXTS = eot
-
 build/$(pkg-js):: $(js-min)
 $(js-min): %.min.js: %.js
 	uglifyjs --source-map $*.min.map -o $@ $<

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-javascript/backbone.git



More information about the Pkg-javascript-commits mailing list